Bug 117180 - local variable used before set
local variable used before set
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rdesktop (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-01 06:07 EST by d.binderman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-23 12:10:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2004-03-01 06:07:43 EST
Description of problem:

I just tried to compile Core2 Test1 package rdesktop-1.3.0-3

The compiler said

rdpdr.c(174): remark #592: variable "length" is used before its value
is set

The source code is

                                if (length > sizeof(buffer))

Suggest init length before first use.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Warren Togami 2004-04-10 20:34:02 EDT
This is an old version.  Rawhide has had this version for a while now.

* Tue Mar 23 2004 Ville Skyttä <ville.skytta at iki.fi> - 1.3.1-3 
- Honor $RPM_OPT_FLAGS.
- Include ChangeLog and TODO in docs.

http://www.rdesktop.org
By the fact that it built fine for our distributions we do not have
this problem and I suspect you are using a non-standard or unsupported
build environment.  If you have trouble building it and it is not a
spec problem, then this is an upstream problem and should be reported
to the authors at the project.

In the future it would really help if you can report more details
about your build environment too.
Comment 2 d.binderman 2004-04-11 04:37:16 EDT
>* Tue Mar 23 2004 Ville Skyttä <ville.skytta at iki.fi> - 1.3.1-3 
>- Honor $RPM_OPT_FLAGS.
>- Include ChangeLog and TODO in docs.

None of this indicates to me that the bug I reported is fixed.

>I suspect you are using a non-standard or unsupported
>build environment.  

I am using Intel C compiler - it has much better error finding
capabilities than the GNU C compiler.

>this is an upstream problem and should be reported
>to the authors at the project.

I am very happy for you to report it upstream.

>In the future it would really help if you can report more details
>about your build environment too.

Thanks for the advice. 
Comment 3 Mark McLoughlin 2004-09-23 12:10:24 EDT
Please report the problem to the upstream maintainers. It really is
the best way to get compiler warnings like this fixed. The appropriate
mailing list appears to be:

  rdesktop-devel@lists.sourceforge.net

And, yes, this is another bug that has been left unattended for too
long. Apologies for that.

Note You need to log in before you can comment on or make changes to this bug.